hw_api::insertcollection
hw_api::link
Hyperwave API Functions
PHP Manual

# hw_api::insertdocument

Inserts a new object of type document

### Description

hw_api_object hw_api::insertdocument ( array `$parameter` )

This function is a shortcut for hwapi_insert. It inserts an object with content and sets some of the attributes required for a document.

### Parameters

`parameter`

  The parameter array contains the required elements 'object', 'parentIdentifier' and 'content' and the optional elements 'mode', 'parameter' and 'attributeSelector'.

  See hwapi_insert for the meaning of each element.

### Return Values

### See Also

- hw_api::insert
- hw_api::insertcollection
- hw_api::insertanchor